Introduction

RhinoView software supports OBD1 Suzuki cars and trucks that use the SDL protocol.

RhinoView is intended to be used with the RhinoPower SDL Interface, RhinoPower Ltd cannot offer support for third party diagnostic tools.

RhinoView is copyright RhinoPower Ltd 2010 onwards

Technical Support is offered through the RhinoPower Forum:

RhinoPower Ltd


HEADING

 RhinoView Help

Please pick a topic from the left hand menu


Installing Rhinoview

Overview

Rhinoview is an old-fashioned standalone programme and requires no installation programme. To install create a folder wherever you like and unzip RV to that folder.

To create a shortcut right click on the Rhinoview icon and select 'Create Shortcut', the shortcut can then be cut and pasted or dragged to any location.

To add to the program menu in Windows 7:

There are a number of methods that can be used to achieve this, this Help describes just one of these techniques.

Navigate to the folder in which you installed Rhinoview. Right Click on the Rhinoview icon and click 'Copy'.

Click on the Start icon and in the Run box type 'shell:common start menu'

In the Program folder right click and select 'Paste'.


Serial Port Set Up

USB Port Set Up

USB Driver

The RhinoPower SDL interface implements a direct USB connection. The FTDI D2xx drivers must be installed before connecting the interface to the USB port. These drivers are available here:

http://www.ftdichip.com/Drivers/D2XX.htm

The RhinoPower SDL Interface will be automatically detected by Rhinoview.

Baud Rate

Start Rhinoview and select 'Comms' then 'Settings', the Comms setup window will be displayed:

The Baud Rate setting is automatically loaded when the programme starts and is saved when the programme exits.


Connecting to the vehicle ECU

The SDL Interface sources power from the Vehicle so the ignition switch must be turned on.

Plug the SDL interface into the J1962 socket on the vehicle and plug the USB cable into the laptop. Note that some early models will need a 12-pin ALDL to J1962 adapter cable

Turn on the ignition

Start Rhinoview and, if required, set up the comms port.

To connect to the ECU either click on the Rhino logo or from the menu bar select 'Comms' and then 'Connect'

Rhinoview will display 'Connected to SDL Interface' when connected to the SDL interface. When connected to the ECU 'Connected to ECU' will be displayed on the right hand side of the status bar in the Dashboard window. If the baud rate has to be changed when RV has already connected to the interface then the programme may need to be closed and reopened.

Issues with the USB connection can arise during cranking if the battery does not have sufficient charge.


The Dashboard

The dashboard is the main window and must be open when using RhinoView, closing this window closes the programme; this is the only window that must be left open.

MIL Indication

The MIL indicator will display the text 'MIL' in black if there are no fault codes, yellow if there are stored codes and red if there are current codes. Clicking on the MIL indicator will bring up the Fault Code Viewer.

Menu Functions

File

Exit

Closes the programme.

View

Data Viewer

Opens the DataViewer window. This window displays data from the ECU either formatted in relevant units or as raw data in hex format.

Data Logger

Opens the Data Logger window. The datalogger allows up to four parameters to be logged and saved to a file.

Fault Codes

Opens the FaultCode Viewer window. This window displays both current fault codes and stored fault codes.

Status Flags

Opens the StatusViewer window. This window displays the current state of any status flags that are reported by the ECU.

Comms

Connect

Connects to the SDL interface if it is attached.

Settings

Opens a window for modifying the Com Port settings; settings are automatically saved when the programme exits

Sample Rate

The sample rate sets the interval at which Rhinoview sends a data request to the ECU. The SDL specification requires a minimum polling interval of 100ms, although some ECUs will be able to poll faster. The status bar displays a value for 'Rx Errors which is the number of messages that have not been replied to by the ECU. The Rx Error count should usually be near zero - if the value increases continuously then either the connection has failed or the sample rate value is too low.

Note that the sample rate is not the interval at which data is received from the ECU, the response time from the ECU will vary dependant on processor loading. Rhinoview requests eight data bytes at a time although some values, such as RPM, are two bytes long, there will also be several status flags in one status byte. Overall the data rate will be a little slower than eight times the sample rate.

Sample rate is automatically saved on programme exit and reloaded on programme start.

Options

Units

Opens the units selection window. This window allows the user to choose to display vehicle speed in MPH or KM/H and temperature in Celsius or Fahrenheit. The selection is stored when the programme is closed.

Command

Reset ECU

This command clears the fault codes and any other temporary data stored in the ECU.


The Data Viewer

When viewing formatted data the data is arranged so that the main functions are displayed on the first page. The second page contains the remaining functions including those specific to the second bank on a V engine.

When viewing Raw Data the data is displayed at the address from which it is returned by the ECU. This is a deprecated mode but may be required for Technical Support.

Menu

File

Close

Closes the Data Viewer window.

Exit

Closes the Data Viewer window and exits the programme.


 STATUS VIEWER

The Status Viewer shows the status flags returned from the ECU


Fault Code Viewer

The Fault Code viewer displays current fault codes and stored fault codes.


 CONTROLS

The Controls window allows certain ECU functions to be controlled from Rhinoview. The ECU will reject any commands if the correct conditions are not met, please refer to the relevant Factory Service Manual. usually the vehicle must be stationary, the idle switch closed and the engine at normal operating temperature. It may also be necessary for the handbrake to be applied.


Data Logger

The data logger allows up to four channels of data to be logged at a time.

Values from the ECU are stored in a buffer, the timestamp gives the time at which the buffer was polled. There may therefore be a small time lag between an event happening and that event being logged.

The maximum time delay will depend on the number of addresses being polled, the sample interval and the datalogger timebase setting.


 CALCULATED LOAD

Calc Load is engine load displayed as a percentage. Its value is calculated mathematically using the following formula:

actual (current) intake air volume ÷ maximum possible intake air volume x 100%.


 CHARGING EFFICIENCY

Charging efficiency is calculated using data from the mass air flow and camshaft position sensors. A higher charging efficiency indicates a larger engine load.


ECT Sensor

 ECT SENSOR VOLTAGE

Engine coolant temperature sensor is a temperature variable resistor. The ECM receives the output signal to use various controls.

ENGINE COOLANT TEMPERATURE

Engine Coolant Temperature is an analog input to the ECM (or PCM). The Coolant Temperature sensor is a temperature variable resistor in series with a fixed resistor in the ECM (or PCM) and biased with a reference voltage. The ECM (or PCM) reads the voltage across the Coolant Temperature sensor and converts this voltage into temperature.


 ENGINE LOAD

Engine load value is calculated from throttle position and engine speed. Load is referred to in terms of fuel quantity per stroke.


 ENGINE SPEED

Engine speed is an ECM (or PCM) internal parameter. It is computed by reference pulses from the Camshaft Position Sensor (or Crankshaft Position Sensor) and is used by virtually all ECM (or PCM) systems.


 FUEL TEMPERATURE

Fuel temperature is an internal ECM parameter and is installed on common rail. This parameter controls fuel injection.


VEHICLE SPEED

 VSS (METER)

Vehicle Speed Sensor (VSS) parameter is an ECM (or PCM) internal parameter. It is computed by timing pulses coming from the vehicle speed sensor. Vehicle speed is used for the IAC/ISC control in the ECM (or PCM).


 BATTERY VOLTAGE

Battery Positive Voltage is an analogue input signal read by the ECM (or PCM). This parameter is used for voltage correction of the fuel injection quantity.


 ELECTRIC LOAD

The electrical system load affects the engine load, which causes variations in engine speed. The Electric Load parameter will read ON or OFF depending on the state of certain electrical components (such as the radiator fan motor, head lights, parking lights, blower fan motor, rear defogger, brake lights, etc.) The ECM (or PCM) uses the ON or OFF signal to compensate for variations in engine load by controlling the IAC valve/ISC motor.


SPARK ADVANCE

 IGNITION ADVANCE

The Ignition Spark Advance angle references cylinder no.1 top dead center


IGNITION TRIM

 IGNITION TIMING LEVEL

This parameter indicates which ignition timing adjust resistor is installed. The function of an ignition timing adjust resistor is to correct basic ignition timing advance. If no adjust resistor is installed in the vehicle, "225" appears here.


 SPARK ADVANCE SWITCH

This parameter indicates whether or not the test switch terminal (on the monitor coupler) circuit is grounded.

ON: Test switch terminal (on the monitor coupler) circuit is grounded.
OFF: Test switch terminal (on the monitor coupler) circuit is not grounded.

While communication with the tester is active, the IGNITION ADVANCE is not fixed even if the test switch terminal (on the monitor coupler) circuit is grounded. The tester indicates the test switch terminal (on the monitor coupler) circuit condition only.


 AIR FLOW

The Air Flow sensor measures the rate of volume air flow into the intake manifold in litres per minute.


TOTAL FUEL TRIM

 TOTAL FUEL TRIM B1 & B2
MIXTURE CONTROL MONITOR B1 & B2
APPLIED FUEL TRIM B1 & B2

B1:BANK1 (LH BANK)
B2:BANK2 (RH BANK)

The value of Total Fuel Trim is obtained by combining the values of the Short Term Fuel Trim and Long Term Fuel Trim values. This value indicates the necessary correction to keep the air/fuel mixture stoichiometrical.


 BAROMETRIC PRESSURE

This parameter represents a measurement of barometric air pressure and is used for altitude correction of the fuel injection quantity and IAC valve control. litres per minute.

BAROMETRIC SENSOR VOLTAGE

This parameter represents a measurement of barometric air pressure and is used for altitude correction of the fuel injection quantity.


 EGR THROTTLE

EGR throttle value indicates the opening duty of the valve.


 FUEL CUT

This parameter reflects the ON/OFF status of the deceleration program in the ECM. The signal will be ON whenever deceleration fuel cut is commanded as a result of a closed throttle position with engine spin above fuel cut speed.


 FUEL PRESSURE CONTROL VALVE

This parameter shows the state of the fuel pressure control valve installed on intake manifold to control fuel pressure.


 FUEL PUMP

ON is displayed when the ECM (or PCM) activates the fuel pump via the fuel pump relay switch.


 FUEL RAIL PRESSURE

This parameter shows the fuel pressure at the fuel rail captured at the fuel temp sensor.


FUEL SYSTEM STATUS

 FUEL SYSTEM STATUS FUEL SYSTEM B1 FUEL SYSTEM B2

Status of the air/fuel ratio feedback loop is displayed as either an open or a closed loop. Open indicates that the ECM ignores feedback from the exhaust oxygen sensor. Closed indicates that the injection duration is corrected for oxygen sensor feedback.


 FUEL TANK LEVEL

The fuel tank level indicates the approximate fuel level in the fuel tank. The detectable range of the fuel level sensor is set as 0 to 100%; however, vehicles with smaller fuel tank capacity may have an indicated fuel level of only 70% when the fuel tank is full.


 INJECTOR FLOW

INJECTOR FLOW 1
INJECTOR FLOW 2
INJECTOR FLOW 3
INJECTOR FLOW 4

These parameters show the volume of fuel injected at the injector of each cylinder.


 INJECTOR PULSE WIDTH

INJECTOR PULSE WIDTH B1
INJECTOR PULSE WIDTH B2

The Pulse Width is the length of time (in milliseconds) the ECM (or PCM) is commanding the fuel injectors on. Injector 'on' time is how EFI systems control fuel mixture. A longer 'on' time yields a richer mixture.


INTAKE AIR TEMPERATURE

 LONG TERM FURL TRIM

LONG FT B1 B1: BANK 1 (LH BANK)
LONG FT B2 B2: BANK 2 (RH BANK)

This parameter provides learned value (adaptive memory) correction to the air/fuel ratio feedback control system for Bank 1 or Bank 2. It is the percentage of rich or lean correction that has been applied to the basic injection duration calculation.


LONG TERM FUEL TRIM

 LONG TERM FUEL TRIM/MIXTURE CONTROL LEARN B1 & B2

B1:BANK1 (LH BANK)
B2:BANK2 (RH BANK)

The Long Term Fuel Trim Value represents long term corrections to the air/fuel mixture computation. A value of 0 indicates no correction, a value greater than 0 means an enrichment correction, and a value less than 0 implies a deficiency correction. A value of 0 indicates no correction, a value greater than 0 means an enrichment correction, and a value less than 0 implies a deficiency correction.


MANIFOLD ABSOLUTE PRESSURE

 MANIFOLD ABSOLUTE PRESSURE (MAP)

The Manifold Absolute Pressure sensor voltage is read by the ECM (or PCM) and is used (among other things) to compute engine load.


MASS AIR FLOW

 MASS AIR FLOW (MAF)

Certain engines have a Mass Air Flow (MAF) sensor which measures air flow into the intake manifold. This data is used by the ECM (or PCM) in determining engine load.


SHORT TERM FUEL TRIM

 SHORT TERM FUEL TRIM/MIXTURE CONTROL DWELL B1 & B2

B1:BANK1 (LH BANK)
B2:BANK2 (RH BANK)

Short Term Fuel Trim value represents short term corrections to the air/fuel mixture computation. A value of 0 indicates no correction, a value greater than 0 means an enrichment correction, and a value less than 0 implies a deficiency correction.


 NEEDLE SENSOR VOLTAGE

The ECM detects the start of needle movement by triggering on the rising edge of the needle movement sensor signal.


O2S ACTIVATION

 O2S ACTIVATION/O2 SIGNAL B1 & B2

B1:BANK1 (LH BANK)
B2:BANK2 (RH BANK)

ACTIVATION is displayed when the oxygen sensor is operating within the activation temperature range and producing the expected output over a certain period of time. The oxygen sensor is deactivated by the ECM (or PCM) and DEACTIVATION is displayed if it does not reach the activation temperature or if it does not produce an adequate reading over a certain period of time.


O2S VOLTAGE

 OXYGEN SESOR B1 S1, B1 S2
OXYGEN SENSOR B2 S1, B2 S2

B1:BANK1 (LH BANK)
B2:BANK2 (RH BANK)

The Oxygen Sensor, located in the exhaust stream, is the primary input to the fuel delivery system. A high voltage indicates a rich mixture while a low voltage indicates a lean mixture. After the ECM (or PCM) is in the closed loop mode of operation the fuel mixture is adjusted based upon the voltage of this sensor.


 PEDAL POS. SENSOR

Pedal position (TP) sensor reading provides pedal position information in the form of voltage. This information is used for calculating engine load and A/C control.


 RAIL PRESSURE REGULATOR

This parameter shows the fuel pressure regulator opening cycle ratio.


RICH/LEAN MONITOR

 RICH/LEAN MONITOR B1 & B2

B1:BANK1 (LH BANK)
B2:BANK2 (RH BANK)

This parameter tells whether the oxygen sensor voltage is above or below a programmed threshold. The threshold is normally computed to be the oxygen sensor voltage corresponding to an intake air/fuel ratio of 14.7 or about 450 mV. An Oxygen sensor voltage reading above the threshold means the intake mixture is rich whereas an oxygen sensor voltage below the threshold corresponds to a lean mixture.


 START OF INJECTION

For ECU Number 39: Start of injection control is performed by calculating an optimal desired start of injection and closing the loop on it. ECM controls the injection start timing.
For ECU Number 40: Start of injection control is performed by calculating an optimal desired start of injection and closing the loop on it. A control valve in the fuel pump is the actuation mechanism for controlling the start of injection.


 THROTTLE ANGLE

The Throttle Angle parameter displays the throttle position related to the fully closed position. 0-0.5 refers to a fully closed throttle while about 80 is a wide open throttle.


 THROTTLE OPENER SOLENOID

The Throttle Opener Solenoid Vacuum Valve improves starting ability by opening the throttle valve slightly at the engine start. When this signal is ON, the solenoid valve turns ON to open the throttle valve. Once the engine has started, the solenoid valve turns OFF and the throttle valve closes completely after a programmed time.


 THROTTLE POSITION

THROTTLE POSITION SENSOR
TPS VOLTAGE

The Throttle Position Sensor reading provides throttle valve opening information in the form of voltage. This information is used for correction, such as enrichment correction during acceleration. The voltage reading should increase as the throttle is opened. 0V or 5V indicates a broken or shorted sensor.


 TURBO PRESSURE

Turbo pressure value indicates air pressure compressed by the turbo charger.


CANISTER PURGE

 CANISTER PURGE SOLENOID
CANISTER PURGE DUTY

The Canister Purge Solenoid parameter displays the degree to which the purge valve is either open or closed. 0% means that the purge valve is completely closed while 100% is fully open valve.


 CLOSED THROTTLE POSITION

The Closed Throttle Position parameter indicates whether the throttle position is in the idle state or not. ON" means that the throttle position is within the range for the idle state and "OFF" indicates that the throttle position is not within the idle state range. This parameter applies to systems that do not have a CTP/Idle switch.

CTP SWITCH

The CTP Switch parameter will read ON when the throttle valve is fully closed, or OFF when the throttle is not fully closed.


 TARGET IDLE
DESIRED IDLE SPEED

The Desired Idle Speed is an ECM (or PCM) internal parameter which indicates the ECM (or PCM) requested idle. If the engine is not running, this number is not valid.


 EGR VALVE

ON is displayed when the EGR valve is not fully closed (when EGR gas flows into the intake manifold), and OFF is displayed when the EGR valve is fully closed (when EGR gas does not flow into the intake manifold. The EGR gas flow is regulated according to driving conditions by the stepper motor, which is operated by signals from the ECM. For all other vehicles: ON is indicated when the EGR SV valve turns on (when EGR gas flows into the intake manifold), and OFF is displayed when the EGR SV valve turns off (when EGR gas does not flow into the intake manifold). The EGR gas flow is regulated according to driving conditions by the EGR modulator and the solenoid vacuum valve, which switches the vacuum passage to the diaphragm of the EGR valve.


 EGR TEMPERATURE

EGR Temperature is an internal ECM (or PCM) parameter. The EGR temperature sensor is installed on the EGR valve. When the EGR valve opens and EGR gas flows, the temperature parameter should rise. If the temperature does not rise, the EGR system is faulty.


EVAP CANISTER

 EVAP CANIST

EVAP Canist displays the state of the evaporative purge canister valve

EVAP PURGE DUTY

The EVAP Purge Duty is used to control the EVAP solenoid purge valve. 0% means that the purge valve is completely closed while 100% is a fully open valve.

EVAP SOLENOID PURGE (SP) VALVE The EVAP Canister is used to trap gasoline vapors from the fuel tank. When the EVAP Solenoid Purge Valve is ON, gas fumes can flow from the canister to the intake manifold. When the solenoid valve is OFF, fumes are trapped in the canister.


4WD-L SWITCH

 4WD-L SW

This parameter indicates the state of the 4-wheel drive low gear switch. ON indicates the Low or Neutral position, and OFF indicates the 4WD high or 2WD high position. This signal is used to prevent the gear change into Overdrive and TCC lockup.


 GEAR POSITION

This parameter indicates the A/T gear position which is computed on signals from the Transmission Range Switch, VSS, TP Sensor, and so forth.


GEAR POSITION

 GEAR POSITION CON

This parameter indicates the A/T gear position which is computed on signals from the Transmission Range Switch, VSS, TP Sensor, and so forth.

GEAR POSITION MON

The monitor result of the A/T gear position computed on shift solenoid (#1 and #2) position is displayed.


 INPUT SHAFT
INP. SHAFT SPEED

The Input Shaft parameter is a PCM internal parameter. It is computed by reference pulses from the input shaft speed sensor and is used for torque reduction control in the PCM.


 MODE SELECT SWITCH

This parameter indicates the position of the Power/Normal change switch and is used to select the automatic gear shift schedule, Power or Normal mode.


 O/D OFF SWITCH

This parameter indicates the state of the O/D OFF Switch (Overdrive cut switch). When this switch is ON, the gear position is not shifted to 4th.


 PNP SIGNAL

PNP Signal displays the transmission gear range based on the state of the Park Neutral Position signal.


PRESSURE REGULATOR

 PRESSURE REGULATOR SOLENOID-CON

This parameter indicates the PCM has commanded the pressure regulator solenoid ON or OFF.

SHIFT SOLENOID no.1 - CON
SHIFT SOLENOID no.2 - CON

This parameter indicates the PCM has commanded the shift solenoid ON or OFF.

PRESSURE REGULATOR SOLENOID-MON

The monitor result of the pressure regulator solenoid circuit is displayed.

ON: Electricity is being passed to the pressure regulator solenoid. OFF: Electricity is not being passed to the pressure regulator solenoid.

SHIFT SOLENOID #1 - MON
SHIFT SOLENOID #2 - MON

The monitor result of the shift solenoid circuit is displayed.

ON: Electricity is being passed to the shift solenoid. OFF: Electricity is not being passed to the shift solenoid.


 TCC SOLENOID

TCC SOLENOID - CON

This parameter indicates that the PCM has commanded the Torque Converter Clutch (TCC) Solenoid ON or OFF.

TCC SOLENOID - MON

The monitor result of the TCC solenoid circuit is displayed.

ON: Electricity is being passed to the TCC solenoid.
OFF: Electricity is not being passed to the TCC solenoid.


 THROTTLE OPEN RATE

This parameter represents the signal which ECM outputs to TCM to inform the throttle opening. Receiving a signal from the TP sensor, ECM converts it into this parameter. The parameter value increases as the throttle opening increases.


 THROTTLE POSITION LEVEL

This parameter indicates the level (zone) of the throttle valve opening. The throttle opening is divided into 8 levels (zones) from "0" (about idle position) to "7" (about full open) and signals are assigned to each opening level (zone). The PCM controls the automatic gear changes of the automatic transmission by using these signals according to the signal from the TP sensor


 TRANS RANGE

D-RANGE SHIFT SWITCH

The Trans Range parameter reads D RANGE when the transmission is shifted to any drive range (R, D, 2, or L range). This signal informs the ECM (or PCM) that a load has been applied to the engine so the ECM (or PCM) can adjust fuel compensation and IAC accordingl y. The Trans Range shift signal is also indicated for manual transmissions but should be ignored.

TRANS. RANGE

This parameter indicates the position of the transmission range switch. It is used as one of the signals to control the fuel injector, IAC valve and automatic transmission.


 VSS (TRANS)
VSS (A/T)

The PCM controls the automatic gear changes of the automatic transmission by using these signals according to the signal from the Vehicle Speed Sensor (VSS) in the automatic transmission.


 ABS SWITCH

This parameter indicates the state of the ABS operation signal which is input to the ECM (or PCM) from the ABS control module.

ON is displayed when the ABS is operating.
OFF is displayed when the ABS is not operating.

This parameter is used for the engine speed control in the ECM (or PCM).


 A/C CONDENSER FAN

This parameter indicates the state of the A/C Condenser Fan control signal.


 A/C CONTROL SIGNAL

This parameter indicates the state of the A/C Control Signals, that is, ON when outputting A/C ON command and OFF when not outputting


 A/C COOLING FAN

This parameter indicates the state of the A/C condenser control signal. ON is indicating when the A/C condenser is operating (signal is outputting) and OFF when the A/C condenser is not operating (signal is not outputting).


 A/C EVAPORATOR TEMPERATURE

This parameter is an analogue input to the ECM (or PCM) from the A/C evaporator thermistor and is used to prevent the A/C evaporator from frosting or icing.


 BLOWER FAN SWITCH

This parameter indicates the state of the blower fan motor switch


 BRAKE SWITCH

This parameter indicates the state of the Brake Switch.


 HEATER FAN

This parameter indicates the state of the heater fan motor switch.


 RADIATOR FAN

This parameter indicates the state of the Radiator Fan


 STARTER

This parameter indicates the state of the starter signal.


 UNITS

The units options can be selected from the dashboard under 'Options'->'Units'. Vehicle speed can be displayed in km/h or in MPH and temperatures can be displayed in either Centigrade or Fahrenheit. The display will be updated when the option boxes are checked and the selection is retained when Rhinoview is closed and reopened.


1

1 MPG Display

Rhinoview includes an MPG display that implements a crude approximation of MPG based on injector pulse width, RPM and vehicle speed. This can be displayed on the virtual dashboard instead of the IAC value.

MPG is calculated assuming that the ECU injects twice per revolution. This works well in some circumstances but can be quite inaccurate with ECUs that change their fuelling strategy under enrichment or light cruising.

The MPG function is turned off by default but can be selected by editing the rhinodash.ini file.

Open the file using Notepad or a similar text file

Under [MPGDial] edit type to 'Type=MPG'

Edit the injector Flowrate to the flow rate of your injectors in cc/min. This can often be determined from the injector test section in the Factory Service Manual which sometimes specifies the flow rate for 15secs, multiply this value by four.

The injector flow rate can be modified to compensate for pressure and flow tolerances based on actual MPG calculations.